The BOOST_PP_LIST_IS_CONS macro is a predicate that determines if a list not nil.

#### Usage

BOOST_PP_LIST_IS_CONS(list)

#### Arguments

list
  A list.

#### Remarks

If list is non-nil, this macro expands to 1. Otherwise, it expands to 0.

#### Requirements

Header: <boost/preprocessor/list/adt.hpp>

#### Sample Code

    #include <boost/preprocessor/list/adt.hpp>

    #define LIST (a, BOOST_PP_NIL)

    BOOST_PP_LIST_IS_CONS(LIST) // expands to 1
    BOOST_PP_LIST_IS_CONS(BOOST_PP_LIST_REST(LIST)) // expands to 0